Common SBT plugins for building TokTok projects
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
project
src
.gitignore
.travis.yml
BUILD.bazel
LICENSE
README.md
build.sbt
settings.sbt

README.md

jvm-sbt-plugins

Common SBT plugins for TokTok projects.

Dependencies: compile

To build the package itself, the following dependencies are required:

  • antlr:antlr:2.7.7
  • com.dwijnand:sbt-compat:1.1.0
  • com.etsy:sbt-checkstyle-plugin:3.0.0
  • com.fasterxml.jackson.core:jackson-annotations:2.9.0
  • com.fasterxml.jackson.core:jackson-core:2.9.0
  • com.fasterxml.jackson.core:jackson-databind:2.9.0
  • com.fasterxml.jackson.module:jackson-module-paranamer:2.9.0
  • com.fasterxml.jackson.module:jackson-module-scala_2.10:2.9.0
  • com.github.mdr:ascii-graphs_2.10:0.0.3
  • com.google.guava:guava:19.0
  • com.googlecode.javaewah:JavaEWAH:0.7.9
  • com.jcraft:jsch:0.1.50
  • com.ning:async-http-client:1.8.10
  • com.puppycrawl.tools:checkstyle:6.15
  • com.thoughtworks.paranamer:paranamer:2.8
  • com.typesafe:config:1.2.0
  • commons-beanutils:commons-beanutils:1.9.2
  • commons-cli:commons-cli:1.3.1
  • commons-codec:commons-codec:1.4
  • commons-collections:commons-collections:3.2.1
  • commons-io:commons-io:2.6
  • commons-logging:commons-logging:1.1.1
  • io.netty:netty:3.9.2.Final
  • me.lessis:bintray-sbt:0.3.0
  • me.lessis:bintry_2.10:0.4.0
  • net.databinder.dispatch:dispatch-core_2.10:0.11.2
  • net.databinder.dispatch:dispatch-json4s-native_2.10:0.11.2
  • net.sf.saxon:Saxon-HE:9.6.0-5
  • net.virtual-void:sbt-dependency-graph:0.9.0
  • org.antlr:antlr4-runtime:4.5.1-1
  • org.apache.commons:commons-lang3:3.4
  • org.apache.httpcomponents:httpclient:4.1.3
  • org.apache.httpcomponents:httpcore:4.1.4
  • org.eclipse.jgit:org.eclipse.jgit:3.7.0.201502260915-r
  • org.json4s:json4s-ast_2.10:3.2.10
  • org.json4s:json4s-core_2.10:3.2.10
  • org.json4s:json4s-native_2.10:3.2.10
  • org.scala-lang:scala-compiler:2.10.7
  • org.scala-lang:scala-reflect:2.10.7
  • org.scala-lang:scalap:2.10.7
  • org.scalaj:scalaj-http_2.10:2.3.0
  • org.scalariform:sbt-scalariform:1.8.2
  • org.scalariform:scalariform_2.10:0.2.5
  • org.scalastyle:scalastyle-sbt-plugin:1.0.0
  • org.scalastyle:scalastyle_2.10:1.0.0
  • org.scoverage:sbt-coveralls:1.2.2
  • org.scoverage:sbt-scoverage:1.5.1
  • org.scoverage:scalac-scoverage-plugin_2.10:1.3.1
  • org.slf4j:slf4j-api:1.7.7
  • org.slf4j:slf4j-nop:1.7.7
  • org.toktok:sbt-plugins:0.1.4

Dependencies: test

For testing, the following additional dependencies are required:

  • org.scalactic:scalactic_2.10:3.2.0-SNAP5
  • org.scalatest:scalatest_2.10:3.2.0-SNAP5